Skip to content

Presets

View as Markdown

The permission presets a contact or an invite can be put on

Section titled “The permission presets a contact or an invite can be put on”

GET /v1/presets · operation listPresets

Requires the batondeck:identities:read permission (action identity:list).

Responses

Status Meaning
200 The permission presets a contact or an invite can be put on
401 No portal session, and no live API key.
403 The policy refused, or the request was cross-site.
404 No such resource, or none this session may see.
200 response schema
{
"type": "object",
"properties": {
"presets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"permissions": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"name",
"permissions"
],
"additionalProperties": false
}
},
"permissions": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"presets",
"permissions"
],
"additionalProperties": false
}
Terminal window
curl -X GET 'https://api.batondeck.com/v1/presets' \
-H "Authorization: Bearer $BATONDECK_API_KEY"